Autore Topic: Aggiornamento joomla da 3.6.5 a 3.7 - ajax error  (Letto 639 volte)

Offline Jacom

  • Nuovo arrivato
  • *
  • Post: 5
    • Mostra profilo
Aggiornamento joomla da 3.6.5 a 3.7 - ajax error
« il: 29 Apr 2017, 19:51:48 »
Salve a tutti, vi seguo da tempo ma scrivo oggi per la prima volta.
Vengo al dunque: ho avviato l'aggiornamento automatico di joomla (3.6.5.) che mi segnalava la versione 3.7. L'aggiornamento è partito con il backup di Akeeba, concluso con successo. Subito dopo è partito l'aggiornamento vero e propiro e intorno al 10% è apparso il messaggio: "ERROR: AJAX loading Error: internal Server Error" . Il sito viene visualizzato correttamente ma accedendo al beckend l'interfracca è modificata come da screen ho ripristinato i permessi delle cartelle attraverso il pannello di controllo dell'hosting ma il problema permane. Ho ripetuto anche l'aggiornamento automatico ma dopo il backup si pianta.
Qualcuno ha idea di come posso risolvere i problemi segnalati?

saluti

Offline vvfv.mortara

  • Nuovo arrivato
  • *
  • Post: 46
    • Mostra profilo
Re:Aggiornamento joomla da 3.6.5 a 3.7 - ajax error
« Risposta #1 il: 29 Apr 2017, 20:13:20 »
Se il tuo hosting è il popolare provider italiano con nome esotico ti verrà (molto probabilmente) consigliato
o di cambiare hosting
o di chiedere al tuo provider di spostare il tuo sito su un server ottimizzato per Joomla (ce li hanno e non tutti i siti con Joomla sono ospitati su questi server)
Per questa seconda possibilità devi aprire un ticket con la relativa richiesta
Ciao
Lorenzo

Offline Frto

  • Nuovo arrivato
  • *
  • Post: 20
  • Sesso: Maschio
    • Mostra profilo
Re:Aggiornamento joomla da 3.6.5 a 3.7 - ajax error
« Risposta #2 il: 29 Apr 2017, 21:14:02 »
Ciao,
a conferma di quanto suggerito da vvfv.mortara aggiungo che, probabilmente con lo stesso provider italiano, l'anno scorso ho risolto il problema aprendo un ticket, con conseguente cambio server (di loro iniziativa e gratuitamente) e poi con mia modifica delle permissions dei files (da 755 a 644).  Se vuoi approfondire avevo descritto in dettaglio la mia esperienza in fondo al seguente post:
http://forum.joomla.it/index.php/topic,258380.msg1199234.html#msg1199234

Da allora ho sempre aggiornato dal pannello di controllo di Joomla,  senza più problemi.

Offline Jacom

  • Nuovo arrivato
  • *
  • Post: 5
    • Mostra profilo
Re:Aggiornamento joomla da 3.6.5 a 3.7 - ajax error
« Risposta #3 il: 29 Apr 2017, 21:46:32 »
ho aperto un ticket ... vediamo cosa rispondono dopo aver esposto telefonicamente per ben 2 volte il problema ... grazie di tutto.

Offline Frto

  • Nuovo arrivato
  • *
  • Post: 20
  • Sesso: Maschio
    • Mostra profilo
Re:Aggiornamento joomla da 3.6.5 a 3.7 - ajax error
« Risposta #4 il: 29 Apr 2017, 22:25:13 »
Ciao,
mi è venuto in mente di aggiungere un'importante precisazione, che è meglio non dare per scontata:  se leggi la mia esperienza dello scorso anno nel post http://forum.joomla.it/index.php/topic,258380.msg1199234.html#msg1199234
NON tener conto della soluzione di aggiornamento via FTP, che mi è andata bene al tempo (migrazione dalla 3.4.8 alla 3.5.0) ma NON è più una soluzione ufficiale valida per migrare alla 3.7 (https://docs.joomla.org/J3.x:Updating_from_an_existing_version/it).
In sintesi il mio consiglio "aggiornato" è:
- fai il restore completo del sito (alla 3.6.5)
- apri un ticket al tuo provider tramite il pannello di controllo (non telefonare) e chiedi soluzione definitiva precisando che hai Joomla ed è indispensabile che gli aggiornamenti automatici funzionino. Se il provider ti conferma il problema legato al server e lo risolve (es. trasferimento server come capitato):
- con Filezilla imposta le permissions dei files a 644 (le cartelle devono restare a 755)
- rifai un backup completo
- ritenta l'aggiornamento alla 3.7 da pannello di controllo di Joomla. Per quest'ultimo passaggio aspetterei il rilascio della versione 3.7.1, così da trovare sistemati alcuni  problemi già riscontrati sulla 3.7.0.
Se il provider non ti fornisce adeguato supporto allora non resta effettivamente che cambiarlo.

Offline Jacom

  • Nuovo arrivato
  • *
  • Post: 5
    • Mostra profilo
Re:Aggiornamento joomla da 3.6.5 a 3.7 - ajax error
« Risposta #5 il: 02 Mag 2017, 22:51:05 »
Ciao, dopo molti solleciti l'assistenza è riuscita a risolvere il problema che voglio condividere: ".... abbiamo caricato la cartella administrator/ dal core di Joomla risolvendo la problematica ... " .  (se qualcuno è in grado di spiegarmi di più gli sarei grato).

Nel mio caso il sito era perfettamente funzionante lato pubblico ma dal backend non si poteva operare (pagina bianca).

L'hosting mi ha comunque proposto il trasferimento (gratuito) del sito su un altro Server dove è possibile effettuare l'aggiornamento automatico dell'applicativo Joomla.

grazie a tutti.

Offline marine

  • Moderator
  • Instancabile
  • *****
  • Post: 2288
  • Sesso: Maschio
    • Mostra profilo
Re:Aggiornamento joomla da 3.6.5 a 3.7 - ajax error
« Risposta #6 il: 03 Mag 2017, 03:17:49 »
L'hosting mi ha comunque proposto il trasferimento (gratuito) del sito su un altro Server dove è possibile effettuare l'aggiornamento automatico dell'applicativo Joomla.

Accetta il trasferimento.

Offline PaoloPC

  • Nuovo arrivato
  • *
  • Post: 12
    • Mostra profilo
Re:Aggiornamento joomla da 3.6.5 a 3.7 - ajax error
« Risposta #7 il: 24 Mag 2017, 09:33:55 »
Per vostra conoscenza, confermo problema e soluzione: anch'io, col famoso provider, stesso problema AJAX error finora bypassato brutalmente via FTP.

Ho aperto un ticket praticamente copincollando nella richiesta il testo trovato sopra "il trasferimento (gratuito) del sito su un altro Server dove è possibile effettuare l'aggiornamento automatico dell'applicativo Joomla".

In un paio d'ore hanno provveduto ed oggi, dopo 3 giorni (chiedono di attendere 12/24h per l'aggiornamento dei DNS) aggiornato finalmente in automatico alla 3.7.2 da 3.6.5 + estensioni, senza problemi.

Saluti, Paolo

 

Torna su